local addon = WakeSpams

	--[[
		AddSpellEvent {
			Spell ID,
			Duration (in seconds. Note: Only relevant if you're using countdown),
			[ how to send message (1/nil = raid/party, 2 = whisper target),
			[ [ start counting down how many seconds before end (0 = announce end only, < 0/nil = don't announce end),
			[ [ [ Replacement text for spell, nil for full spellname, LINK for a link of the spell,
			[ [ [ [ message on start,
			[ [ [ [ [ message on end,
			[ [ [ [ [ [ Tracktype (1 = Aura (default), 2 = Spell Heal, 3 = Spell Cast (start), 4 = spell cast (successfull) ] ] ] ]
		}
		
		
		
		Text replacement:
		#maxhp# = Your maximum HP
		#halfhp# = Half of your maximum HP
		#s# = spellname
		#d# = duration
		#t# = targetname (replaced by "me" if on you)
		#amount# = amount (heal, damage, etc)
		#extra# = resist type for resists, spell names for interrupted spells, etc.
		#extra:SpellLink# = same as above, BUT WITH LINKS!!!!!!11
	]]

local function AddMitigationSpells()
	-- Death Knight
	addon:AddSpellEvent(48792, 12, nil, 0, "LINK", nil, nil, nil); -- Icebound Fortitude
	addon:AddSpellEvent(55233, 15, nil, 0, "LINK", nil, nil, nil); -- Vampiric Blood
	addon:AddSpellEvent(56222, 0, nil, nil, "LINK", "Taunt Failed: #s# on #t# (#extra#)", nil, 5) -- Dark Command taunt
	addon:AddSpellEvent(49560, 0, nil, nil, "LINK", "Taunt Failed: #s# on #t# (#extra#)", nil, 5) -- Death Grip (taunt component)
	
	-- Druid
	addon:AddSpellEvent(22812, 12, nil, 0, "LINK", nil, nil, nil); -- Barkskin
	addon:AddSpellEvent(61336, 20, nil, 0, "LINK", nil, nil, nil); -- Survival Instincts
	
	-- Mage
	-- Can't think of anything useful
	
	-- Paladin
	addon:AddSpellEvent(20236, 15, nil, 0, "LINK", "Activated: #s# on #t# - #d#s!", nil, nil); -- Lay on Hands (holy phys. damage reduction only. Right spell id?)
	addon:AddSpellEvent(31821, 6, nil, 0, "LINK", nil, nil, nil); -- Aura Mastery
	addon:AddSpellEvent(498, 12, nil, 0, "LINK", nil, nil, nil); -- Divine Protection
	addon:AddSpellEvent(70940, 6, nil, 0, "LINK", nil, nil, nil); -- Divine Guardian (DiSac raid component)
	addon:AddSpellEvent(66235, 0, nil, nil, "LINK", "#s# saved me! Healed #amount#!", nil, 2); -- Ardent Defender proc (Not tested)
	
	-- Warlock
	-- Can't think of anything useful
	
	-- Warrior
	addon:AddSpellEvent(871, 12, nil, 0, "LINK", nil, nil, nil); -- Shield Wall
	addon:AddSpellEvent(12975, 20, nil, 0, "LINK", nil, nil, nil); -- Last Stand

	-- Priest
	addon:AddSpellEvent(47788, 10, nil, 2, "LINK", "Activated: #s# on #t# - #d#s!", nil, nil); -- Guardian Spirit
	addon:AddSpellEvent(48153, 0, nil, nil, "LINK", "#s# healed #t# for #amount#", nil, 2); -- Guardian Spirit (heal)
	addon:AddSpellEvent(33206, 8, nil, 0, "LINK", "Activated: #s# on #t# - #d#s!", nil, nil); -- Pain Suppression
	addon:AddSpellEvent(64843, 0, nil, nil, "LINK", "Activated: #s#!", nil, 4); -- Divine Hymn
end

local function AddPowerupSpells()
	-- Death Knight
	addon:AddSpellEvent(49016, 30, 2, 0, "LINK", "Activated: #s# on YOU - #d#s!", nil, nil) -- Hysteria (whisper)
	--addon:AddSpellEvent(49016, 30, nil, nil, "LINK", "Activated: #s# on #t#!", nil, nil) -- Hysteria (raid/party)
	
	-- Druid
	addon:AddSpellEvent(29166, 10, 2, 0, "LINK", "Activated: #s# on YOU - #d#s!", nil, nil); -- Innervate (whisper)
	addon:AddSpellEvent(29166, 10, nil, nil, "LINK", "Activated: #s# on #t#!", nil, nil); -- Innervate (raid/party)
	
	-- Rogue
	addon:AddSpellEvent(57934, 6, 2, nil, "LINK", "#s# on #t#!", nil, 4); -- Tricks of the Trade (cast... Not tested)
	
	-- Shaman
	addon:AddSpellEvent(2825, 40, nil, 0, "LINK", "Activated: #s#! #d# SECONDS OF PURE FOCUS", "Faded: #s#", nil); -- Bloodlust
	addon:AddSpellEvent(32182, 40, nil, 0, "LINK", "Activated: #s#! #d# SECONDS OF PURE FOCUS", "Faded: #s#", nil); -- Heroism
	
	-- Priest
	addon:AddSpellEvent(10060, 15, 2, 0, "LINK", "Activated: #s# on YOU - #d#s!", nil, nil); -- Power Infusion (whisper)
	addon:AddSpellEvent(10060, 15, nil, nil, "LINK", "Activated: #s# on #t#!", nil, nil); -- Power Infusion (raid/party)
	addon:AddSpellEvent(64901, 0, nil, nil, "LINK", "Activated: #s#!", nil, 4); -- Hymn of Hope
end

local function AddInterruptSpells()
	-- Death Knight
	addon:AddSpellEvent(47476, 0, nil, nil, "LINK", "#s#: #t#", nil, nil) -- Strangulate
	
	-- Non-class specific
	addon:AddSpellEvent("ALL", 0, nil, nil, "LINK", "#s# Interrupted: #t# #extra:SpellLink#", nil, 6) -- ADDALL EVENT FOR INTERRUPTS (SUCCESSFUL ONLY)
end

local function AddStunSpells()
	-- Druid
	addon:AddSpellEvent(8983, 0, nil, 0, "LINK", "Activated: #s# on #t#!", nil, nil) -- Bash
	
	-- Paladin
	addon:AddSpellEvent(10308, 0, nil, 0, "LINK", "Activated: #s# on #t#!", nil, nil) -- Hammer of Justice
	addon:AddSpellEvent(48817, 0, nil, 0, "LINK", "Activated: #s#!", nil, 4, 1) -- Holy Wrath 4
	
	-- Rogue
	addon:AddSpellEvent(1833, 0, nil, 0, "LINK", "Activated: #s# on #t#!", nil, nil) -- Cheap Shot
	addon:AddSpellEvent(8643, 0, nil, 0, "LINK", "Activated: #s# on #t#!", nil, nil) -- Kidney Shot
	
	-- Warrior
	addon:AddSpellEvent(46968, 0, nil, 0, "LINK", "Activated: #s#!", nil, 4, 1) -- Shockwave 4
	addon:AddSpellEvent(12809, 5, nil, 0, "LINK", "Activated: #s# on #t#!", nil, nil) -- Concussion Blow
	
	-- Warlock
	addon:AddSpellEvent(1122, 0, nil, 0, "LINK", "Activated: #s#!", nil, 4) -- Inferno 4
end

local function AddDispelSpells()
	-- Non-class specific
	addon:AddSpellEvent("ALL", 0, nil, nil, "LINK", "#s# Dispel Failed: #t# #extra:SpellLink#", nil, 7) -- ADDALL EVENT FOR DISPEL FAILS
end

local function AddMiscSpells()
	-- Druid
	addon:AddSpellEvent(48477, 0, nil, nil, "LINK", "#s# on #t#!", nil, 8); -- Rebirth
	
	-- Hunter
	addon:AddSpellEvent(34477, 0, 2, nil, "LINK", "#s# on #t#!", nil, 4); -- Misdirection (cast... Not tested)
	
	-- Paladin
	addon:AddSpellEvent(1044, 6, 2, nil, "LINK", "#s# on YOU - #d#s!", nil, nil); -- Hand of Freedom
	addon:AddSpellEvent(10278, 10, nil, nil, "LINK", "Activated: #s# on #t# - #d#s!", nil, nil); -- Hand of Protection
	addon:AddSpellEvent(6940, 12, nil, 0, "LINK", "Activated: #s# on #t# - #d#s!", nil, nil); -- Hand of Sacrifice
	addon:AddSpellEvent(1038, 10, 2, 0, "LINK", "Activated: #s# on YOU - #d#s!", nil, nil); -- Hand of Salvation (whisper)
	
	-- Priest
	addon:AddSpellEvent(65081, 4, 2, nil, "LINK", "#s# on YOU - meep meep!", nil, nil); -- Body and Soul (target effect triggered by body and soul)
	addon:AddSpellEvent(10890, 8, nil, nil, "LINK", nil, nil, nil, 1); -- Psychic Scream
	
	-- Warlock
	addon:AddSpellEvent(17928, 0, nil, nil, "LINK", nil, nil, nil, 1); -- Howl of Terror
end

-- Various Mitigation, healing and tank-related cooldowns
AddMitigationSpells()
-- Powerup spells for temporary damage/mana boosts
AddPowerupSpells()
-- Interrupts
AddInterruptSpells()
-- Stuns
AddStunSpells()
-- Dispels
AddDispelSpells()
-- Miscellaneous spells that don't fit into any of the other categories
AddMiscSpells()

-- Comment out events that you aren't interrested in.